- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
tokenhash.h File Reference

Go to the source code of this file.

## Classes
struct | fhtoken
class | Perfect_Hash

## Macros
#define | TOTAL_KEYWORDS 115
#define | MIN_WORD_LENGTH 4
#define | MAX_WORD_LENGTH 24
#define | MIN_HASH_VALUE 8
#define | MAX_HASH_VALUE 154
#define | TOTAL_KEYWORDS 115
#define | MIN_WORD_LENGTH 4
#define | MAX_WORD_LENGTH 24
#define | MIN_HASH_VALUE 8
#define | MAX_HASH_VALUE 154

## Variables
static const struct fhtoken | wordlist []

## Macro Definition Documentation

#define MAX_HASH_VALUE 154

#define MAX_WORD_LENGTH 24

#define MIN_HASH_VALUE 8

#define MIN_WORD_LENGTH 4

Referenced by Perfect_Hash::in_word_set().

#define MIN_WORD_LENGTH 4

#define TOTAL_KEYWORDS 115

## Variable Documentation

const struct fhtoken wordlist[]
| static